Index Page wnincd_c

A B C D E F G H I J K L M N O P Q R S T U V W X

Procedure Abstract Required_Reading Keywords Brief_I/O Detailed_Input | Detailed_Output Parameters Exceptions Files Particulars Examples | Restrictions Literature_References Author_and_Institution Version Index_Entries

#### Procedure

       SpiceBoolean wnincd_c ( SpiceDouble     left,
                               SpiceDouble     right,
                               SpiceCell     * window )

#### Abstract

       Determine whether an interval is included in a double precision
       window.

#### Required_Reading

       WINDOWS

#### Keywords

       WINDOWS

#### Brief_I/O

       VARIABLE  I/O  DESCRIPTION
       --------  ---  --------------------------------------------------
       left,
       right      I   Input interval.
       window     I   Input window.

       The function returns SPICETRUE if the input interval is included in
       ---is a subset of some interval in---window.

#### Detailed_Input

       left,
       right       are the endpoints of an interval, which may or
                   may not be contained in one of the intervals in
                   window.

       window      is a CSPICE window containing zero or more intervals.

                   window must be declared as a double precision SPICECELL.

#### Detailed_Output

       The function returns SPICETRUE if the input interval is included
       in the input window---that is, if

          a(i)  <  left  <  right  <  b(i)
                -        -         -

       for some interval [ a(i), b(i) ] in window---and is SPICEFALSE
       otherwise.

#### Parameters

       None.

#### Exceptions

       1) If the input window is a SpiceCell of type other than double
          precision, the error SPICE(TYPEMISMATCH) is signaled.

#### Files

       None.

#### Particulars

       None.

#### Examples

       Let window contain the intervals

          [ 1, 3 ]  [ 7, 11 ]  [ 23, 27 ]

       Then the following expressions are SPICETRUE

          wnincd_c ( 1.0,  3.0, &window );
          wnincd_c ( 9.0, 10.0, &window );

       and the following expressions are SPICEFALSE.

          wnincd_c (  0.0,  2.0, &window );
          wnincd_c ( 13.0, 15.0, &window );
          wnincd_c ( 29.0, 30.0, &window );

#### Restrictions

       None.

#### Literature_References

       None.

#### Author_and_Institution

       N.J. Bachman    (JPL)
       H.A. Neilan     (JPL)
       W.L. Taber      (JPL)
       I.M. Underwood  (JPL)

#### Version

       -CSPICE Version 1.0.0, 29-JUL-2002 (NJB) (HAN) (WLT) (IMU)

#### Index_Entries

       included in a d.p. window

#### Link to routine wnincd_c source file wnincd_c.c

    Wed Apr  5 17:54:48 2017